Explorar el Código

add python fix

ipatix hace 6 años
padre
commit
6f751c560c
Se han modificado 3 ficheros con 12 adiciones y 7 borrados
  1. 9
    6
      makefile
  2. 2
    0
      python_version.sh
  3. 1
    1
      sots-private

+ 9
- 6
makefile Ver fichero

10
 VBA		:= vba
10
 VBA		:= vba
11
 LAN	:= de
11
 LAN	:= de
12
 STRAGB	:= string2agb
12
 STRAGB	:= string2agb
13
-PYPROJS := @python ../tools/v_tools/pyproj2s.py
14
-PYMAPS	:= @python ../tools/v_tools/pymap2s.py
15
-PYSETS	:= @python ../tools/v_tools/pyset2s.py
13
+
14
+PYTHON_BIN := $(shell ./python_version.sh)
15
+
16
+PYPROJS := $(PYTHON_BIN) ../tools/v_tools/pyproj2s.py
17
+PYMAPS	:= $(PYTHON_BIN) ../tools/v_tools/pymap2s.py
18
+PYSETS	:= $(PYTHON_BIN) ../tools/v_tools/pyset2s.py
16
 
19
 
17
 export PATH := $(realpath ../tools):$(PATH)
20
 export PATH := $(realpath ../tools):$(PATH)
18
 
21
 
209
 
212
 
210
 .PHONY: constants
213
 .PHONY: constants
211
 constants:
214
 constants:
212
-	python ../tools/v_tools/constants.py src/include/
215
+	$(PYTHON_BIN) ../tools/v_tools/constants.py src/include/
213
 
216
 
214
-run: all
215
-	$(VBA) "build/pkmn_sots.gba"
217
+run: rom
218
+	$(VBA) "build/pkmn_sots.gba"

+ 2
- 0
python_version.sh Ver fichero

1
+#!/bin/bash
2
+which python3 > /dev/null 2>&1; rc=$?; if [[ $rc != 0 ]]; then echo python; else echo python3; fi

+ 1
- 1
sots-private

1
-Subproject commit f9e6ee59b56752bf25f71986a0fcd69690992ff2
1
+Subproject commit 8f1f50bbe7d5ba157cbb2a4791f2181152234cb6